Skip to main content
GET
/
v3
/
discount-codes
List discount codes
curl --request GET \
  --url https://api.scalev.com/v3/discount-codes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "business_id": 123,
      "is_enabled": true,
      "code": "<string>",
      "applied_to": "<string>",
      "amount_type": "<string>",
      "percentage": "<string>",
      "is_max_amount": true,
      "max_amount": "<string>",
      "amount": "<string>",
      "is_usage_limit": true,
      "usage_limit": 123,
      "current_usage": 123,
      "is_expiry": true,
      "expiry_time": "2023-11-07T05:31:56Z",
      "is_limited_to_pages": true,
      "pages": [
        {}
      ],
      "is_limited_to_payment_methods": true,
      "payment_methods": [
        "<string>"
      ],
      "is_minimum_revenue": true,
      "minimum_revenue": "<string>",
      "inserted_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer

Cursor page size.

Required range: x >= 1
next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

Case-insensitive partial match against the discount code.

applied_to
enum<string>

Filter by the value the discount applies to.

Available options:
product_price,
shipping_cost
status
enum<string>

Filter by whether customers can use the discount code.

Available options:
enabled,
disabled

Response

Paginated discount-code list

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
true
has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer